UMLGraph : Javaが必要だった。。。。

hdknr@LennyOne:~$ apt-cache search plotutil
libplot-dev – The GNU plotutils libraries (development files)
libplot-perl – perl interface to plot library
libplot2c2 – The GNU plotutils libraries
plotutils – GNU plotutils (プロットユーティリティ) パッケージ
hdknr@LennyOne:~$ sudo aptitude install plotutil libplot2c2 libplot-dev
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タスクの記述を読み込んでいます… 完了
"plotutil" パッケージは見つかりませんでした。
しかし、以下のパッケージ名に "plotutil" が含まれています:
  plotutils
"plotutil" パッケージは見つかりませんでした。
しかし、以下のパッケージ名に "plotutil" が含まれています:
  plotutils
以下の新規パッケージがインストールされます:
  libplot-dev libplot2c2 libxaw7-dev{a} libxmu-dev{a} libxmu-headers{a} libxpm-dev{a}
以下の、インストールが完了していないパッケージが設定されます:
  python-matplotlib python-numpy
更新: 0 個、新規インストール: 6 個、削除: 0 個、保留: 0 個。
2317kB のアーカイブを取得する必要があります。展開後に 7377kB のディスク領域が新たに消費されます。
先に進みますか? [Y/n/?] y
拡張状態情報を書き込んでいます… 完了
取得:1 http://ftp.jp.debian.org lenny/main libxmu-headers 2:1.0.4-1 [21.0kB]
取得:2 http://ftp.jp.debian.org lenny/main libxmu-dev 2:1.0.4-1 [54.5kB]
取得:3 http://ftp.jp.debian.org lenny/main libxpm-dev 1:3.5.7-1 [44.8kB]
取得:4 http://ftp.jp.debian.org lenny/main libxaw7-dev 2:1.0.4-2 [269kB]
取得:5 http://ftp.jp.debian.org lenny/main libplot2c2 2.5-2+b1 [877kB]
取得:6 http://ftp.jp.debian.org lenny/main libplot-dev 2.5-2+b1 [1051kB]
2317kB を 1min4s 秒でダウンロードしました (35.8kB/s)
未選択パッケージ libxmu-headers を選択しています。
(データベースを読み込んでいます … 現在 71943 個のファイルとディレクトリがインストールされています。)
(…/libxmu-headers_2%3a1.0.4-1_all.deb から) libxmu-headers を展開しています…
未選択パッケージ libxmu-dev を選択しています。
(…/libxmu-dev_2%3a1.0.4-1_i386.deb から) libxmu-dev を展開しています…
未選択パッケージ libxpm-dev を選択しています。
(…/libxpm-dev_1%3a3.5.7-1_i386.deb から) libxpm-dev を展開しています…
未選択パッケージ libxaw7-dev を選択しています。
(…/libxaw7-dev_2%3a1.0.4-2_i386.deb から) libxaw7-dev を展開しています…
未選択パッケージ libplot2c2 を選択しています。
(…/libplot2c2_2.5-2+b1_i386.deb から) libplot2c2 を展開しています…
未選択パッケージ libplot-dev を選択しています。
(…/libplot-dev_2.5-2+b1_i386.deb から) libplot-dev を展開しています…
man-db のトリガを処理しています …
python-numpy (1:1.1.0-3+lenny1) を設定しています …
pycentral: pycentral pkginstall: not overwriting local files
pycentral pkginstall: not overwriting local files
dpkg: python-numpy の処理中にエラーが発生しました (–configure):
サブプロセス post-installation script はエラー終了ステータス 1 を返しました
dpkg: 依存関係の問題により python-matplotlib の設定ができません:
python-matplotlib は以下に依存 (depends) します: python-numpy (>= 1:1.1.0) …しかし:
  パッケージ python-numpy はまだ設定されていません。
dpkg: python-matplotlib の処理中にエラーが発生しました (–configure):
依存関係の問題 – 設定を見送ります
libxmu-headers (2:1.0.4-1) を設定しています …
libxmu-dev (2:1.0.4-1) を設定しています …
libxpm-dev (1:3.5.7-1) を設定しています …
libxaw7-dev (2:1.0.4-2) を設定しています …
libplot2c2 (2.5-2+b1) を設定しています …
libplot-dev (2.5-2+b1) を設定しています …
以下のパッケージの処理中にエラーが発生しました:
python-numpy
python-matplotlib
E: Sub-process /usr/bin/dpkg returned an error code (1)
パッケージをインストールできませんでした。復旧を試みています:
python-numpy (1:1.1.0-3+lenny1) を設定しています …
pycentral: pycentral pkginstall: not overwriting local files
pycentral pkginstall: not overwriting local files
dpkg: python-numpy の処理中にエラーが発生しました (–configure):
サブプロセス post-installation script はエラー終了ステータス 1 を返しました
dpkg: 依存関係の問題により python-matplotlib の設定ができません:
python-matplotlib は以下に依存 (depends) します: python-numpy (>= 1:1.1.0) …しかし:
  パッケージ python-numpy はまだ設定されていません。
dpkg: python-matplotlib の処理中にエラーが発生しました (–configure):
依存関係の問題 – 設定を見送ります
以下のパッケージの処理中にエラーが発生しました:
python-numpy
python-matplotlib
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
拡張状態情報を書き込んでいます… 完了
タスクの記述を読み込んでいます… 完了

おかしので、
sudo aptitude remove –purge python-numpy
sudo aptitude install python-numpy
sudo aptitude install  python-matplotlib

した。

hdknr@LennyOne:~$ sudo aptitude install plotutils
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
タスクの記述を読み込んでいます… 完了
以下の新規パッケージがインストールされます:
  plotutils
更新: 0 個、新規インストール: 1 個、削除: 0 個、保留: 0 個。
632kB のアーカイブを取得する必要があります。展開後に 1044kB のディスク領域が新たに消費されます。
拡張状態情報を書き込んでいます… 完了
取得:1 http://ftp.jp.debian.org lenny/main plotutils 2.5-2+b1 [632kB]
632kB を 13s 秒でダウンロードしました (48.4kB/s)
未選択パッケージ plotutils を選択しています。
(データベースを読み込んでいます … 現在 72102 個のファイルとディレクトリがインストールされています。)
(…/plotutils_2.5-2+b1_i386.deb から) plotutils を展開しています…
man-db のトリガを処理しています …
plotutils (2.5-2+b1) を設定しています …
パッケージリストを読み込んでいます… 完了
依存関係ツリーを作成しています
状態情報を読み取っています… 完了
拡張状態情報を読み込んでいます
パッケージの状態を初期化しています… 完了
拡張状態情報を書き込んでいます… 完了
タスクの記述を読み込んでいます… 完了

hdknr@LennyOne:~$ wget http://www.umlgraph.org/UMLGraph-5.2.tar.gz
–2009-09-11 13:49:32–  http://www.umlgraph.org/UMLGraph-5.2.tar.gz
http://www.umlgraph.org をDNSに問いあわせています… 195.251.249.147
http://www.umlgraph.org|195.251.249.147|:80 に接続しています… 接続しました。
HTTP による接続要求を送信しました、応答を待っています… 200 OK
長さ: 2470002 (2.4M) [application/x-gzip]
`UMLGraph-5.2.tar.gz’ に保存中

100%[=============================================================>] 2,470,002   31.5K/s 時間 69s

2009-09-11 13:50:45 (34.7 KB/s) – `UMLGraph-5.2.tar.gz’ へ保存完了 [2470002/2470002]

hdknr@LennyOne:~$ tar xfz UMLGraph-5.2.tar.gz
hdknr@LennyOne:~$ cd UMLGraph-5.2/

カテゴリー: 未分類 パーマリンク

コメントを残す

以下に詳細を記入するか、アイコンをクリックしてログインしてください。

WordPress.com ロゴ

WordPress.com アカウントを使ってコメントしています。 ログアウト / 変更 )

Twitter 画像

Twitter アカウントを使ってコメントしています。 ログアウト / 変更 )

Facebook の写真

Facebook アカウントを使ってコメントしています。 ログアウト / 変更 )

Google+ フォト

Google+ アカウントを使ってコメントしています。 ログアウト / 変更 )

%s と連携中